Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractDropDownMenu

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.AbstractDropDownMenu

All Implemented Interfaces:
  java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

Direct Known Subclasses:
  UIDropDownMenu

    public abstract class AbstractDropDownMenu

extends javax.faces.component.UIComponentBase

Nested Class Summary
`static class` | `AbstractDropDownMenu.Facets`

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`AbstractDropDownMenu()`

Method Summary
`abstract org.richfaces.component.Positioning` | `getDirection()`
`abstract int` | `getHideDelay()`
`abstract int` | `getHorizontalOffset()`
`abstract org.richfaces.component.Positioning` | `getJointPoint()`
`abstract java.lang.String` | `getLabel()`
`abstract org.richfaces.component.Mode` | `getMode()`
`abstract java.lang.String` | `getOngrouphide()`
`abstract java.lang.String` | `getOngroupshow()`
`abstract java.lang.String` | `getOnhide()`
`abstract java.lang.String` | `getOnitemclick()`
`abstract java.lang.String` | `getOnshow()`
`abstract int` | `getPopupWidth()`
`abstract int` | `getShowDelay()`
`abstract java.lang.String` | `getShowEvent()`
`abstract int` | `getVerticalOffset()`
`abstract boolean` | `isDisabled()`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getFamily, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### AbstractDropDownMenu

    public AbstractDropDownMenu()

Method Detail

### getShowEvent

    public abstract java.lang.String getShowEvent()

### getMode

    public abstract org.richfaces.component.Mode getMode()

### isDisabled

    public abstract boolean isDisabled()

### getHideDelay

    public abstract int getHideDelay()

### getShowDelay

    public abstract int getShowDelay()

### getPopupWidth

    public abstract int getPopupWidth()

### getHorizontalOffset

    public abstract int getHorizontalOffset()

### getVerticalOffset

    public abstract int getVerticalOffset()

### getJointPoint

    public abstract org.richfaces.component.Positioning getJointPoint()

### getDirection

    public abstract org.richfaces.component.Positioning getDirection()

### getOngroupshow

    public abstract java.lang.String getOngroupshow()

### getOngrouphide

    public abstract java.lang.String getOngrouphide()

### getOnshow

    public abstract java.lang.String getOnshow()

### getOnhide

    public abstract java.lang.String getOnhide()

### getOnitemclick

    public abstract java.lang.String getOnitemclick()

### getLabel

    public abstract java.lang.String getLabel()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.